from igf_api.Connection import Connection
from igf_api.entities.PiapiTask import PiapiTask
from igf_api.entities.TgBot import TgBot
from igf_api import connection


class IgfClient:

    def __init__(self):
        self.connection = connection
        self.connection.login()
        self.tgBot = TgBot(connection=self.connection)
        self.piapiTask = PiapiTask(connection=self.connection)

    def login(self, login: str, password: str):
        self.connection.login(login=login, password=password)

    def set_url(self, url: str):
        self.connection.set_url(url=url)
